<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2007 Tim Lochmueller, Sareen Millet (webmaster@fruit-lab.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * Extends RealURL to redirect to the Images
 *
 */
class ux_tx_realurl_advanced extends tx_realurl_advanced {
	
        /**
         * Add the redirect to the normal image
         *
         * @param String $pathParts
         * @return Integer $PageID
         */
        function pagePathtoID(&$pathParts) {
        	
                $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid,image_path','tx_flrealurlimagecache','realurl_path=\''.$pathParts[0].'\'');
                if($GLOBALS['TYPO3_DB']->sql_num_rows($res) > 0){
                        $data = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
                        $info = getimagesize(PATH_site.$data['image_path']);
                        header('Content-Type: '.$info['mime']);
                        readfile(PATH_site.$data['image_path']);
                        die();                
                } // if  
                              
                return parent::pagePathtoID($pathParts);
        } // function 
} // class
?>